﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CustomView.aspx.cs" Inherits="SchedulerNetAsp.CustomView" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
   
    <%= this.Scheduler.GenerateJS()%>
    <%= this.Scheduler.GenerateCSS()%>
    <script>
        scheduler.locale.labels.CustomWeek_tab = "Week";

        scheduler.attachEvent("onTemplatesReady", function () {
            scheduler.date.CustomWeek_start = function (date) {
                var date = scheduler.date.week_start(date); 
                var shift = 2; //start on Wednesday 
                return this.date_part(this.add(date, +1 * shift, "day"));
            };
            scheduler.date.get_CustomWeek_end = function (date) {
                return scheduler.date.add(date, 7, "day");
            };

            scheduler.date.add_CustomWeek = function (date, inc) {
                return scheduler.date.add(date, inc * 7, "day");
            };
            scheduler.templates.CustomWeek_date = scheduler.templates.week_date;
            scheduler.templates.CustomWeek_scale_date = scheduler.templates.week_scale_date;


        });
     </script>
    <div style="height:509px; width: 100%;">
        <%= this.Scheduler.GenerateHTML()%>
    </div>

</asp:Content>
